aboutsummaryrefslogtreecommitdiff
path: root/t/t3700-add.sh
diff options
context:
space:
mode:
authorJunio C Hamano <junkio@cox.net>2006-11-22 16:33:32 -0800
committerJunio C Hamano <junkio@cox.net>2006-11-22 16:36:49 -0800
commit2bbaaed9eefa92e8a17e74ec5f9b87ecdc7a5949 (patch)
treeacd44cdce2d8a530bdb63d5c0a6fa35648a50b91 /t/t3700-add.sh
parent5d1faf8791fa85ba9be2282900d4f704c7790648 (diff)
downloadgit-2bbaaed9eefa92e8a17e74ec5f9b87ecdc7a5949.tar.gz
git-2bbaaed9eefa92e8a17e74ec5f9b87ecdc7a5949.tar.xz
trust-executable-bit: fix breakage for symlinks
An earlier commit f28b34a broke symlinks when trust-executable-bit is not set because it incorrectly assumed that everything was a regular file. Reported by Juergen Ruehle. Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 't/t3700-add.sh')
-rwxr-xr-xt/t3700-add.sh14
1 files changed, 12 insertions, 2 deletions
diff --git a/t/t3700-add.sh b/t/t3700-add.sh
index c20e4c29f..c09c53f20 100755
--- a/t/t3700-add.sh
+++ b/t/t3700-add.sh
@@ -27,7 +27,7 @@ test_expect_success \
git-add xfoo1 &&
case "`git-ls-files --stage xfoo1`" in
100644" "*xfoo1) echo ok;;
- *) echo fail; git-ls-files --stage xfoo1; exit 1;;
+ *) echo fail; git-ls-files --stage xfoo1; (exit 1);;
esac'
test_expect_success \
@@ -38,7 +38,17 @@ test_expect_success \
git-update-index --add xfoo2 &&
case "`git-ls-files --stage xfoo2`" in
100644" "*xfoo2) echo ok;;
- *) echo fail; git-ls-files --stage xfoo2; exit 1;;
+ *) echo fail; git-ls-files --stage xfoo2; (exit 1);;
+ esac'
+
+test_expect_success \
+ 'git-update-index --add: Test that executable bit is not used...' \
+ 'git repo-config core.filemode 0 &&
+ ln -s xfoo2 xfoo3 &&
+ git-update-index --add xfoo3 &&
+ case "`git-ls-files --stage xfoo3`" in
+ 120000" "*xfoo3) echo ok;;
+ *) echo fail; git-ls-files --stage xfoo3; (exit 1);;
esac'
test_done